const mariadb = require('./_db');



async function getUsers(){
    try {
        let conn = await mariadb.getConn();

        const rows = await conn.query("SELECT * FROM user");

        conn.release();

        return rows; 
    }
    catch(err){
        console.log("No se pudo acceder a la BD: "+err);
    }
}

module.exports.getUsers = getUsers;

async function userLogin(username, password){
    try {
        let conn = await mariadb.getConn();

        const rows = await conn.query("SELECT userID, discotecaID, userType, username FROM user WHERE username = ? AND password = ?", [username, password]);
        conn.release();

        if (rows){
        return rows;}
    }
    catch(err){
        console.log("No se pudo acceder a la BD: "+err);
    }
}

module.exports.userLogin = userLogin;

async function getDiscoteca(discotecaId){
   try{
    let conn = await mariadb.getConn();
    const rows = await conn.query("SELECT discotecaID, nombre, telefono, localizacion FROM discoteca WHERE discotecaID = ?", [discotecaId]);
    conn.release();

    if (rows){
        return rows;}
    
    }catch(err){
        console.log("No se pudo acceder a la BD: "+err);
    }

}

module.exports.getDiscoteca = getDiscoteca;

async function addEvento(evento){
    try{
        let conn = await mariadb.getConn();
        const rows = await conn.query
        ("INSERT INTO evento (discotecaID, nombre, localizacion, fecha, hora, descripcion, precio1, precio2) VALUES (?, ?, ?, ?, ?, ?, ?, ?)",
        [evento.discotecaID, evento.nombre, evento.localizacion, evento.fecha, evento.hora, evento.descripcion, evento.precio1, evento.precio2]);
        conn.release();

        if (rows){
            return rows;}
        
        }catch(err){
            console.log("No se pudo acceder a la BD: "+err);
        }
    
}

module.exports.addEvento = addEvento;

async function getEventos(){
    try{
    let conn = await mariadb.getConn();
    const rows = await conn.query("SELECT id, discotecaID, nombre, localizacion, fecha, hora, descripcion, precio1, precio2 FROM evento");
    conn.release();

    if(rows){
        return rows;}
    }catch(err){
        console.log("No se pudo acceder a la BD: "+err);
    }
}

module.exports.getEventos = getEventos;

async function getEventosDiscoteca(discotecaId){
    try{
        let conn = await mariadb.getConn();
        const rows = await conn.query("SELECT id, discotecaID, nombre, localizacion, fecha, hora, descripcion, precio1, precio2 FROM evento WHERE discotecaID = ?", [discotecaId.id]);
        conn.release();
    
        if (rows){
            return rows;}
        
        }catch(err){
            console.log("No se pudo acceder a la BD: "+err);
        }
}

module.exports.getEventosDiscoteca = getEventosDiscoteca;